Bug 444088 - Import python gettext fix
Summary: Import python gettext fix
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: python   
(Show other bugs)
Version: 5.2
Hardware: All Linux
medium
medium
Target Milestone: rc
: ---
Assignee: James Antill
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-24 21:57 UTC by James Antill
Modified: 2013-04-12 16:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 512667 (view as bug list)
Environment:
Last Closed: 2009-01-20 20:34:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0067 normal SHIPPED_LIVE python bug fix update 2009-01-20 16:04:06 UTC

Description James Antill 2008-04-24 21:57:15 UTC
Description of problem:
 We've already hit this problem when we reved pirut in 5.2, so I'd like to fix
it properly before we try i18n in core yum for 5.3. The fix is literally:

--- Python-2.5.1/Lib/gettext.py.plural  2007-09-10 11:38:57.000000000 -0400
+++ Python-2.5.1/Lib/gettext.py 2007-09-10 11:39:00.000000000 -0400
@@ -299,6 +299,8 @@ class GNUTranslations(NullTranslations):
                     item = item.strip()
                     if not item:
                         continue
+                    if item.startswith("#"):
+                        continue
                     if ':' in item:
                         k, v = item.split(':', 1)
                         k = k.strip().lower()

...and without it python gives a backtrace a couple of lines later (depending on
the comment).
 At the same time we might as well add the socket constants requested in Fedora
(literally just int values within the sockets module) and the XMLRPC fix (2
lines, only triggers on the failure path -- so no chance of causing a problem).
 We might also want to get the update for CVE-2007-4965, although that hasn't
gone in Fedora yet.

Additional info:
 All the patches from Fedora 9 apply directly, and there's currently no other BZ
about python problems ... so almost no chance we'll want to change python for 5.3.

Comment 1 RHEL Product and Program Management 2008-04-24 22:25:05 UTC
This request was previously evaluated by Red Hat Product Management
for inclusion in the current Red Hat Enterprise Linux release, but
Red Hat was unable to resolve it in time.  This request will be
reviewed for a future Red Hat Enterprise Linux release.

Comment 2 James Laska 2008-05-30 11:58:25 UTC
James: can you describe (or point to) a bit more detail on what the root problem
that posted patch in comment#0 fixes?  I'd be interested in finding a reproducer
that QA can use for validation.

You note that additional patches will be added.  Can you provide links to those
patches as well as any recommended reproducer/verification steps? 

Thanks!

Comment 6 Petr Šplíchal 2008-09-19 07:20:34 UTC
James, can you please provide a test case for this issue?
I cannot find any details about how to reproduce this bug.

Thanks!

Comment 7 James Antill 2008-09-19 13:47:02 UTC
 Probably the easiest one is to revert the workaround in:

 [Bug 431073] pirut crashs with german locale

...specifically:

https://bugzilla.redhat.com/show_bug.cgi?id=431073#c16

Comment 8 Petr Šplíchal 2008-09-26 10:26:14 UTC
Upstream bug: http://bugs.python.org/issue1448060

Comment 13 errata-xmlrpc 2009-01-20 20:34:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0067.html


Note You need to log in before you can comment on or make changes to this bug.